Last modified: 2012-03-17 20:14:07 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35209 - Mass-create a bunch of Gerrit accounts for existing SVN committers
Mass-create a bunch of Gerrit accounts for existing SVN committers
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Ryan Lane
:
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-13 22:52 UTC by Sumana Harihareswara
Modified: 2012-03-17 20:14 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sumana Harihareswara 2012-03-13 22:52:07 UTC
Antoine is going to run a script to get those Subversion committers' USERINFO records that have some kind of "realname" or the like & have an email, and turn it into a CSV (svn username, realname, and email), then I will do the gruntwork of unobfuscating the emails and giving that improved data to Ryan Lane.  Ryan will then autocreate Gerrit accounts for all those people and we'll publicize that on wikitech-l etc and suggest that those people try to go to the specialpage to reset their passwords and login.

The point of this is to make it easier for our existing committers, and to reduce the number of one-off account creations we have to do.
Comment 1 Sumana Harihareswara 2012-03-13 22:53:12 UTC
We aim to get all this done this week.
Comment 2 Sumana Harihareswara 2012-03-15 01:44:29 UTC
This is less urgent than bug 34137 but we still ought to do it by early next week.
Comment 3 Antoine "hashar" Musso (WMF) 2012-03-15 10:50:28 UTC
I have sent a mail containing the CSV file to Ryan and Sumana.

Assigning bug to Ryan now ;-)
Comment 4 Sumana Harihareswara 2012-03-17 20:14:07 UTC
Antoine provided a list that "only included authors active during the last six months and having an extension being migrated to git/Gerrit. That list of extensions is available, for now, at:

https://gerrit.wikimedia.org/mediawiki-extensions.txt

The reason I have filtered out some accounts is not to exclude people, but merely because there is 0.99 chance that they will not have to use Gerrit anytime soon."

So, right now, those are the committers who have gotten their Gerrit accounts automatically created.  At some point in the future we may also mass-create Gerrit accounts for other old Subversion committers.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links